Bug 481547 - (CVE-2009-0260) CVE-2009-0260 moin: tachFile XSS issues
CVE-2009-0260 moin: tachFile XSS issues
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=?,cwe=CWE-79[auto]
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 04:14 EST by Tomas Hoger
Modified: 2016-03-04 07:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 13:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-26 04:14:50 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0260 to the following vulnerability:

Multiple cross-site scripting (XSS) vulnerabilities in
action/AttachFile.py in MoinMoin before 1.8.1 allow remote attackers
to inject arbitrary web script or HTML via an AttachFile action to the
WikiSandBox component with (1) the rename parameter or (2) the drawing
parameter (aka the basename variable).

Fixed upstream in 1.7.3 and 1.8.1.

Upstream patch (1.7.x and 1.8.x):
http://hg.moinmo.in/moin/1.7/rev/8cb4d34ccbc1
http://hg.moinmo.in/moin/1.8/rev/8cb4d34ccbc1

References:
http://moinmo.in/SecurityFixes#moin1.8.1
http://www.securityfocus.com/archive/1/archive/1/500197/100/0/threaded
http://www.securityfocus.com/bid/33365
http://secunia.com/advisories/33593
http://xforce.iss.net/xforce/xfdb/48126
Comment 1 Tomas Hoger 2009-01-26 04:15:50 EST
Both flaws seem to exist in 1.6.x as well.  Upstream does not longer support 1.6 branch.
Comment 2 Fedora Update System 2009-04-20 11:18:43 EDT
moin-1.6.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/moin-1.6.4-1.fc10
Comment 3 Fedora Update System 2009-04-20 11:41:59 EDT
moin-1.6.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/moin-1.6.4-1.fc9
Comment 4 Fedora Update System 2009-04-21 21:03:55 EDT
moin-1.6.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-04-21 21:11:35 EDT
moin-1.6.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Ville-Pekka Vainio 2009-05-02 13:40:51 EDT
As the update has been pushed and it was approved by the security team, I'll close this bug. If something related to this vulnerability has not been fixed, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.